---
name: Bug report
about: Create a report to help us improve Hector

---

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Explain how to reproduce the behavior:
1. Attach the hector input file to the bug report (you will have to add `.txt` to the end of the filename to get GitHub to accept the attachment).
2. Briefly describe the scenario you were trying to run, if it is not one of the standard scenarios.
3. Tell us how you were running Hector (e.g., stand-alone, R interface, pyhector)

**Expected behavior**
A clear and concise description of what you expected to happen.

**Actual behavior**
  - Describe what actually happened.
  - If applicable, copy and paste any error messages that were produced (please do not include screenshots of terminal output).
  - Attach the global log (`hector.log`) and any additional log files that may be relevant (e.g., if the error message refers to a component, the log file for that component).

**Runtime and build environment (please complete the following information):**
 - OS: [Linux, OS-X, Windows]
 - Boost version you used to build Hector
 - If running from R, output of `SessionInfo()`.

**Additional context**
Add any other context about the problem here.
