---
name: Development
about: Create an issue for a  Hector PR

---

**Describe development**

A clear and concise description of the Hector development. 


**Type of development** 

The Hector team uses [semantic versioning](https://semver.org/), please let us know what type of changes have been made, this will help us determine if we need additional information. 

* MAJOR: potential code-breaking changes or Hector behavior changes
* MINOR: some functionality is added but backward compatible
* PATCH: minor changes (e.g., documentation or bug fixes)

**Checklist**
- [ ] [Roxygen](https://roxygen2.r-lib.org/) where applicable but also thorough and coherent inline documentation 
- [ ] [Unit tests](https://r-pkgs.org/tests.html) when applicable
- [ ] Complies with the [Hector code style guide](https://jgcri.github.io/hector/articles/manual/StyleGuide.html)
- [ ] The PR passes automated testing suite
